#include <iostream>
#include <fstream>
using namespace std;
int main ()
{
	ifstream f("DE003.INP");
	int n;
	f>>n;
	f.close();
	ofstream f1("DE003.OUT");
	int S1;
	S1=0;
	for (int i=1;i<=n;i++)
	{
		S1=S1+(i*(i+1)*(i+2));
	}
	f1<<S1<<endl;
	f1.close();
	return 0;
}
